"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRequestDecorator = void 0;
var logger_1 = require("../../logger");
function createRequestDecorator(mongodbClient, redisClient) {
    return function (req, res, next) {
        req.redisClient = redisClient;
        req.mongodbClient = mongodbClient;
        req.logger = logger_1.logger;
        next();
    };
}
exports.createRequestDecorator = createRequestDecorator;
