"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.displaySuccessMessage = void 0;
var net_util_1 = require("../net/net.util");
var logger_1 = require("../logger");
function displaySuccessMessage(listening, PORT, isDev) {
    var serverUrl = "http://localhost:" + PORT;
    logger_1.logger.info("\n    Express is running :\n          - Listening: " + listening + "\n          - Local: " + serverUrl + "\n          - Network: http://" + net_util_1.getIPAdress() + ":" + PORT + "\n          - Production Mode: " + !isDev + "\n        ");
    return true;
}
exports.displaySuccessMessage = displaySuccessMessage;
