import env from './env';
import { envN } from './env';
import { extractRelativeUrl } from './cloudinary/url.util';
import { setLogger } from './logger.no.dep';
import loggerND from './logger.no.dep';
import { stream } from './logger';
import { displaySuccessMessage } from './express/server.messages';
import { createStrapiMiddleware } from './express/middleware/strapi.middleware';
import { createRequestDecorator } from './express/middleware/decorate.request';
import { getIPAdress } from './net/net.util';
export declare const Greeter: (name: string) => string;
export declare const RedisRxjsUtil: {
    env: typeof env;
    envN: typeof envN;
    Cloudinary: {
        extractRelativeUrl: typeof extractRelativeUrl;
    };
    Logger: {
        logger: import("winston").Logger;
        stream: typeof stream;
    };
    NET: {
        getIPAdress: typeof getIPAdress;
    };
    Express: {
        displaySuccessMessage: typeof displaySuccessMessage;
        createStrapiMiddleware: typeof createStrapiMiddleware;
        createRequestDecorator: typeof createRequestDecorator;
    };
    RTLogger: {
        logger: typeof loggerND;
        setLogger: typeof setLogger;
    };
    RX: {
        debugKeyRx: (message: string, key: string) => (source: import("rxjs").Observable<any>) => import("rxjs").Observable<any>;
        debugMessageRx: (message: string) => (source: import("rxjs").Observable<any>) => import("rxjs").Observable<any>;
        debugrx: (message: string) => (source: import("rxjs").Observable<any>) => import("rxjs").Observable<any>;
    };
};
