"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a, _b;
Object.defineProperty(exports, "__esModule", { value: true });
exports.stream = exports.logger = void 0;
var winston_1 = __importDefault(require("winston"));
exports.logger = winston_1.default.createLogger({
    level: (_b = (_a = process === null || process === void 0 ? void 0 : process.env) === null || _a === void 0 ? void 0 : _a.LOGGER_LEVEL) !== null && _b !== void 0 ? _b : 'info',
    transports: [
        new winston_1.default.transports.Console({
            format: winston_1.default.format.combine(winston_1.default.format.colorize(), winston_1.default.format.simple()),
        }),
    ],
});
function stream() {
    return {
        write: function (message) {
            exports.logger.info(message.trim());
        },
    };
}
exports.stream = stream;
